package gov.va.med.esr.mvc.model;

import java.util.List;

import gov.va.med.esr.service.external.person.IvmLetterCandidateInfo;
import gov.va.med.esr.service.external.person.collections.IVMLetterCandidateCollection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(
		name = "getIVMLetterStatusesResponse", 
		namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
			)
@XmlAccessorType(XmlAccessType.FIELD)
public class GetIVMLetterStatusesResponse extends AbstractServiceDataWrapperImpl {

	private static final long serialVersionUID = -4087300839942089943L;

	private List<IvmLetterCandidateInfo>  ivmLetterCandidates;
	
	public Object getServiceData() {
		return this.getIvmLetterCandidates();
	}

	public void setServiceData(Object serviceData) {
		this.setIvmLetterCandidates((List<IvmLetterCandidateInfo>)serviceData);
	}

	public List<IvmLetterCandidateInfo> getIvmLetterCandidates() {
		return ivmLetterCandidates;
	}

	public void setIvmLetterCandidates(
			List<IvmLetterCandidateInfo> ivmLetterCandidates) {
		this.ivmLetterCandidates = ivmLetterCandidates;
	}
	
}
